use more modern gcc
[dyninst.git] / .travis.yml
1 language: cpp
2
3 sudo: false
4
5 addons:
6     apt:
7         sources:
8             - kalakris-cmake
9             # - llvm-toolchain-precise-3.7
10             - ubuntu-toolchain-r-test
11             - boost-latest
12         packages:
13             - binutils-dev
14             - libboost-system1.55-dev
15             - libboost-thread1.55-dev
16             # - clang-3.7
17             - cmake
18             - libelf-dev
19             - g++-4.9
20
21 compiler:
22     - gcc
23     # - clang
24
25 script:
26     - if [ "$CC" == "clang" ]; then export CC=clang-3.7; export CXX=clang++-3.7; fi
27     - if [ "$CC" == "gcc" ]; then export CC=gcc-4.9; export CXX=g++-4.9; fi
28     - mkdir work
29     - cd work
30     - cmake ..
31     - make